## Struct severity_visitor

boost::log::expressions::channel_severity_filter_terminal::severity_visitor — Severity level visitor.

## Synopsis

    // In header: <boost/log/expressions/predicates/channel_severity_filter.hpp>

    // Severity level visitor.

    struct severity_visitor {
      // types
      typedef void result_type;

      // public member functions
      severity_visitor(channel_severity_filter_terminal const &,
                       severity_value_type const &, bool &);
      result_type operator()(severity_value_type const &) const;
    };

## Description

### `severity_visitor` public member functions

1.     severity_visitor(channel_severity_filter_terminal const & self,
                        severity_value_type const & severity, bool & res);

2.     result_type operator()(severity_value_type const & severity) const;